io.vertx.rxjava3.ext.web.api.contract.openapi3

## Class OpenAPI3RequestValidationHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.api.contract.openapi3.OpenAPI3RequestValidationHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, HTTPOperationRequestValidationHandler, ValidationHandler

      public class OpenAPI3RequestValidationHandler
      extends Object
      implements HTTPOperationRequestValidationHandler, Handler<RoutingContext>

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OpenAPI3RequestValidationHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenAPI3RequestValidationHandler(Object delegate)`
    `OpenAPI3RequestValidationHandler(OpenAPI3RequestValidationHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `OpenAPI3RequestValidationHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Deprecated.
    `int` | `hashCode()`
    `static OpenAPI3RequestValidationHandler` | `newInstance(OpenAPI3RequestValidationHandler arg)`
    `void` | `parseOperationSpec()` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.api.contract.HTTPOperationRequestValidationHandler

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.api.validation.ValidationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OpenAPI3RequestValidationHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### OpenAPI3RequestValidationHandler

          public OpenAPI3RequestValidationHandler(OpenAPI3RequestValidationHandler delegate)

    - #### OpenAPI3RequestValidationHandler

          public OpenAPI3RequestValidationHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OpenAPI3RequestValidationHandler getDelegate()

      Specified by:
        `getDelegate` in interface `HTTPOperationRequestValidationHandler`
      Specified by:
        `getDelegate` in interface `ValidationHandler`

    - #### handle

          @Deprecated
          public void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `HTTPOperationRequestValidationHandler`
      Specified by:
        `handle` in interface `ValidationHandler`
      Parameters:
        `event` - the event to handle

    - #### parseOperationSpec

          @Deprecated
          public void parseOperationSpec()

      Deprecated.
      Function that parse the operation specification and generate validation rules
      Specified by:
        `parseOperationSpec` in interface `HTTPOperationRequestValidationHandler`

    - #### newInstance

          public static OpenAPI3RequestValidationHandler newInstance(OpenAPI3RequestValidationHandler arg)

Copyright © 2024 Eclipse. All rights reserved.